## xserver-xorg-video-intel 2.4.1-1ubuntu10netbook0payson2

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10netbook0payson2) hardy; urgency=low

  * modified version number to ensure package can be upgraded by UNR in the
    future 

 -- Bill Filler <bill.filler@canonical.com>  Sat, 22 Nov 2008 22:42:22 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10payson1) hardy; urgency=low

  * Remove another intel_reg_dumper information

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 08:30:32 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10payson0) hardy; urgency=low

  *  Remove build of intel_reg_dumper as in Hardy package

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Wed, 12 Nov 2008 07:30:12 -0500

xserver-xorg-video-intel (2:2.4.1-1ubuntu10) intrepid; urgency=low

  * 28_stolen_memory_counting_g4x.patch:
    - Fixes freeze on login for G45 hardware when X.org runs in EXA mode.
      Issue was fixed upstream in both the kernel and x driver.  This
      patch is also in Debian.
      (LP: #285572)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 21 Oct 2008 11:35:13 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu9) intrepid; urgency=low

  * 27_disable_fbc_on_965.patch:
    - Works around issue where flash videos freeze after playing for a few
      moments on i965 chipset, by disabling Frame Buffer Compression, which
      is not working reliably on this chipset.  It can be re-enabled via the
      FrameBufferCompression option for testing purposes.
      (LP: #275285)
  
 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 17 Oct 2008 18:11:03 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu8) intrepid; urgency=low

  * 26_i830-use-lfp-data-ptrs.patch:
    - Fixes fatal server error "Couldn't find PLL settings for mode"
      on a 855GM chipset, due to having an inaccurate VBT LFP_DATA
      section from the BIOS parser.  This pulls the info from a
      different (more trustworthy) version of the data structure.
      (LP: #274045)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 16 Oct 2008 12:38:19 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu7) intrepid; urgency=low

  * Drop Vcs-* as we're not using these repos for -intel.

 -- Loic Minier <lool@dooz.org>  Wed, 15 Oct 2008 13:24:36 +0200

xserver-xorg-video-intel (2:2.4.1-1ubuntu6) intrepid; urgency=low

  * 25_quirks_nx6110.patch:
    - Fixes error msg that "Mode 1280x1024 does not fit virtual size"
      (LP: #271707)

 -- Bryce Harrington <bryce@ubuntu.com>  Sat, 20 Sep 2008 18:20:56 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu5) intrepid; urgency=low

  * 24_no_render_suspend:
    - Fix blank screen and crash on startup with x4500 (LP: #265119)

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Fri, 19 Sep 2008 14:00:28 +1000

xserver-xorg-video-intel (2:2.4.1-1ubuntu4) intrepid; urgency=low

  * 23_quirks_studiohybrid_eeepc_and_w251u.patch:
    - Fix blank screen on startup on Asus Eee PC due to LVDS
      misconfiguration (LP: #233787)
    - Fix blank screen on startup on Dell Studio Hybrid due to LVDS
      misconfiguration (LP: #267945)
    - Fix crash on lid close on Gigabyte W251U - pipeA quirk (LP: #244242)

 -- Bryce Harrington <bryce@bryceharrington.org>  Fri, 12 Sep 2008 00:53:01 +0000

xserver-xorg-video-intel (2:2.4.1-1ubuntu3) intrepid; urgency=low

  * Rebuild against the new xserver-xorg-dev.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Fri, 12 Sep 2008 01:09:40 +0300

xserver-xorg-video-intel (2:2.4.1-1ubuntu2) intrepid; urgency=low

  * 22_no_pipe_for_hotplug_detection.patch: Don't allocate a pipe for
    hotplug detection. (LP: #256142)

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 02 Sep 2008 16:13:52 +0300

xserver-xorg-video-intel (2:2.4.1-1ubuntu1) intrepid; urgency=low

  * New upstream version, this is basically version 2.4.2. (LP: #260603)
  * Merge with debian experimental. Remaining changes:
    - debian/patches
      + 20_thinkpad_g40_quirk.patch:
        Quirk for IBM Thinkpad G40
      + 21_quirk_lenovo.patch:
        Pipe-A quirks for Lenovo ThinkPad T60
    - debian/control:
      + Change the maintainer address.
      + Add lpia to the list of architectures.
  * Disable 01_fix_compiz_video.diff, since it appears to be obsolete
    by now.
  * Drop 05_intel_exa_force_greedy.patch, since it was not used (crash)
    and the option doesn't seem to improve the performance anymore.
  * Disable 11_textured_video_option.patch for now, textured video seems
    to work just fine now.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Tue, 26 Aug 2008 14:19:55 +0300

xserver-xorg-video-intel (2:2.4.1-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Julien Cristau ]
  * Pull from 2.4-branch HEAD as of August 24th.

 -- Julien Cristau <jcristau@debian.org>  Sun, 24 Aug 2008 18:28:32 +0200

xserver-xorg-video-intel (2:2.4.0-1ubuntu1) intrepid; urgency=low

  * Merge with debian experimental.
  * 20_thinkpad_g40_quirk.patch: don't remove another quirk, must've been
    a mistake (and not related to G40).
  * 21_quirk_lenovo.patch: rename and drop the HP quirk, since it's
    upstream.
  * rules: drop the change to not build intel_reg_dumper, libpciaccess is
    in main now.
  * changelog: bring back old entries lost during an old merge (ahem..).
  * Fixes from upstream 2.4-branch:
    30_update_dsparb.patch
    - Update DSPARB while planes are still off.
    31_reorder_visuals.patch
    - Reorder visuals reported by the intel driver.
    32_dont_program_dsparb.patch
    - Don't program dsparb on new Intel chip.
    33_fix_hp_pavilion_quirk.patch
    - Fix up the HP Pavilion ze4944ea quirk. The chip is 855GM, not GM45.

 -- Timo Aaltonen <tepsipakki@ubuntu.com>  Thu, 07 Aug 2008 14:38:09 +0300

xserver-xorg-video-intel (2:2.4.0-1) experimental; urgency=low

  * New upstream release.
  * Refresh patch 01_gen_pci_ids.diff.
  * Don't handle the nostrip build option in debian/rules, dh_strip does that;
    allow the parallel=n option.

