## xserver-xorg-video-intel 2.4.1-1ubuntu10netbook0payson3

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10netbook0payson3) hardy; urgency=low

  * Add whitescreen patch

 -- Torsten Spindler (Canonical) <torsten@canonical.com>  Fri, 12 Dec 2008 16:06:12 -0500
