=== debian/control ===
Source: xserver-xorg-video-intel
Section: x11
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Drew Parsons <dparsons@debian.org>, Julien Cristau <jcristau@debian.org>, Brice Goglin <bgoglin@debian.org>
Build-Depends: debhelper (>= 5), quilt, pkg-config, xserver-xorg-dev, x11proto-gl-dev, x11proto-video-dev, libgl1-mesa-dev | libgl-dev, libxvmc-dev (>= 1:1.0.1), x11proto-core-dev, x11proto-fonts-dev, x11proto-randr-dev (>= 1.2), x11proto-render-dev, x11proto-xinerama-dev, libdrm-dev (>= 2.2) [!hurd-i386], x11proto-xf86dri-dev, libpciaccess-dev, dpkg-dev, automake, libtool, xutils-dev
Standards-Version: 3.7.3

Package: xserver-xorg-video-intel
Architecture: amd64 hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 netbsd-i386 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Provides: ${xviddriver:Provides}
Replaces: xserver-xorg (<< 6.8.2-35), xserver-xorg-video-i810 (<< 2:1.9.91-1), xserver-xorg-video-i810-modesetting, xserver-xorg-video-intel-modesetting, xserver-xorg-driver-i810
Conflicts: xserver-xorg-video-i810 (<< 2:1.9.91-1), xserver-xorg-video-i810-modesetting, xserver-xorg-video-intel-modesetting, xserver-xorg-driver-i810, 915resolution
Description: X.Org X server -- Intel i8xx, i9xx display driver
 This package provides the driver for the Intel i8xx and i9xx family
 of chipsets, including i810, i815, i830, i845, i855, i865, i915, i945
 and i965 series chips.
 .
 This package also provides an XvMC (XVideo Motion Compensation) driver
 for i810 and i815 chipsets.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xf86-video-intel driver module.

Package: xserver-xorg-video-intel-dbg
Architecture: amd64 hurd-i386 i386 kfreebsd-i386 kfreebsd-amd64 netbsd-i386
Depends: xserver-xorg-video-intel (= ${binary:Version}), ${shlibs:Depends}
Priority: extra
Description: X.Org X server -- Intel i8xx, i9xx display driver (debug symbols)
 This driver provides support for the Intel i8xx and i9xx family of chipsets,
 including i810, i815, i830, i845, i855, i865, i915, and i945 series chips,
 and XvMC (XVideo Motion Compensation) support for the same chipsets.
 .
 This package provides debugging symbols for this Xorg X driver.

Package: xserver-xorg-video-i810
Architecture: all
Section: oldlibs
Depends: xserver-xorg-video-intel
Description: X.Org X server -- Intel i8xx, i9xx display driver
 This is a transitional package providing the Xorg video driver for the
 Intel i8xx and i9xx family of chipsets, and can be safely removed.
