## xserver-xorg-video-intel 2.4.1-1ubuntu10.4payson1

=== debian/changelog ===
xserver-xorg-video-intel (2:2.4.1-1ubuntu10.4payson1) payson; urgency=low

  * re-base on ubuntu10.4 version
    - added debian/patches 29_whitescreen.patch
    - modified debian/rules to comment out install of intel_reg_dumper
    - modified debian/xserver-xorg-video-intel-dbg.install to remove 
      install of usr/bin/intel_reg_dumper 
    - modified debian/rules to get rid of warnings in dh_shlibdeps
    - modified debian/control Build-Depends to build under Hardy 

 -- Bill Filler <bill.filler@canonical.com>  Thu, 02 Apr 2009 13:23:35 -0400

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.4) intrepid-proposed; urgency=low

  * Update 104_i830-vbt-timing-hack.patch to final version taken upstream.
    Fixes incorrect modeline logic on certain models of monitors after the
    last release, resulting in incorrect resolution detection and/or
    screen corruption.
    (LP: #320893)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 30 Mar 2009 11:01:52 -0700

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.3) intrepid-proposed; urgency=low

  * i830-vbt-timing-hack.patch: Adjust h and vblank end to fix issue on
    Dell Studio 15 and other similar hardware.  Fixes issue where X 
    comes up with an unusable white screen on the LVDS.
    (LP: #297245)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 13 Jan 2009 16:37:33 -0800

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.2) intrepid-proposed; urgency=low

  * 100_update_quirks_to_2.6.patch:
    - Sync up latest quirks from upstream git tree (roughly up to 2.6).
      Adds handful of pipe-A and ignore-lvds quirks.  See
      https://wiki.ubuntu.com/X/Quirks for details.  (LP: #316672)

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 13 Jan 2009 01:00:52 -0800

xserver-xorg-video-intel (2:2.4.1-1ubuntu10.1) intrepid-proposed; urgency=low

  * Re-enable 11_textured_video_option.patch, but change logic so it is
    enabled by default.  This allows people seeing issues with it to 
    turn it off if they wish.  (LP: #278318)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 12 Nov 2008 14:39:03 -0800
