=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,8 @@
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
-	dh_shlibdeps 
+	#dh_shlibdeps -- --warnings=6
+	dh_shlibdeps
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
